@import (less, reference) url("../tmp/sprite.less");
@import (less, reference) url("variables.less");
@import url('http://fonts.googleapis.com/css?family=Roboto&display=swap');
.createNewPost {
  display: flex;
  flex-direction: column;
  font-family: 'Roboto', sans-serif;
  width: 80%;
  margin: 0 auto 20px;

  & > .label {
    margin-bottom: 10px;
  }

  & > .input {
    margin-bottom: 20px;

    &.-textarea {
      min-height: 100px;
    }
  }

  & > .buttons {
    display: flex;

    & > .btn {
      margin-right: 10px;
    }
  }
}

.wrapper {
  display: flex;
  justify-content: space-between;
  font-family: 'Roboto', sans-serif;
  width: 80%;
  margin: 0 auto;

  & > #root {
		width: 62%;
			
    & > .post {
      border: 1px solid #ccc;
      border-radius: 10px;
      padding: 10px 20px 20px;
      margin-bottom: 20px;
    }
  }

  & > #drafts {
		width: 36%;
			
    & > .draft {
      border: 1px solid #ccc;
      border-radius: 10px;
      padding: 20px;
      margin-bottom: 20px;
    }
  }
}

.wrap-task2 {
  font-family: 'Roboto', sans-serif;
  width: 500px;
  margin: 0 auto;
  position: relative;

  #_write-message {
    width: 100%;
    background-color: #0a2;
    padding: 15px 0;
    border: none;
    text-transform: uppercase;
    color: white;
    font-size: 16px;
    letter-spacing: 1px;
    cursor: pointer;
    border-radius: 5px;
  }

  #popup {
    width: 400px;
    box-sizing: border-box;
    visibility: hidden;
    border-radius: 8px;
    padding: 20px;
    display: flex;
    position: absolute;
    top: 60px;
    left: 50px;
    background-color: rgba(177, 177, 177, .7);

    & > #comment {
      width: inherit;

      & > label {
        display: block;

        & > textarea, & > input {
          width: 100%;
        }
      }
    }
  }
  .message_list {
    list-style: none;
    padding: 10px 0 0;
    margin: 0px;

    & > .answer {
      margin-bottom: 10px;
      padding: 10px 20px;
      background: #ececec;
      border-radius: 8px;

      & > h6 {
        margin: 0 0 10px;
        font-weight: normal;
        color: #666;
      }
    
      & > h4 {margin: 0 0 10px;}
    
      & > p {margin: 0 0 15px;}
    }
  }
}
.create-new-form {
  background: #eaeaea;
  min-height: 499px;

  & > .wrapper {
    max-width: 1000px;
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: flex-start;

    & > .block {
      position: relative;
      box-sizing: border-box;
      padding: 20px;

      &.-left {
        width: 30%;

        .btn {
          display: block;
          margin-bottom: 10px;
          width: 200px;
          padding: 10px 0;
          background-color: #0a2;
          color: #fff;
          font-weight: 700;
        }
      }

      &.-right {
        width: 70%;
        background: #fff;
        padding: 0 40px;
        margin: 20px 0 30px;

        & > #result {
          
          background-color: #fff;
          padding: 20px;
    
          & > .label {
            display: block;
            padding: 10px 0;
  
            & > .desc {
              display: block;
              font-size: 12px;
              color: #333;
              margin-bottom: 3px;
            }
    
            & > .input {
              &.-textarea, &.-select, &.-password, &.-email, &.-text, &.-number, &.-range {
                min-width: 300px;
              }

              &::placeholder {
                color: #ccc;
              }
            }
          }
        }
      }

      .popup {
        display: none;
        position: absolute;

        &.-active {
          display: block;
        }
        
        &.-customize {
          width: 275px;
          background: #ccc;
          padding: 20px;
          top: 20px;
          left: 20px;
          z-index: 1;
        }

        & > .label {
          display: block;

          & > .desc {
            display: block;
            font-size: 12px;
            color: #333;
          }

          & > .input {
            width: 100%;
          }

          & > .ok {
            display: block;
          }
        }

        & > .minmax {
          display: none;
          
          &.-active {
            display: flex;
          }

          & > .label {

            & > .desc {
              font-size: 12px;
              color: #333;
            }
          }
        }

        & > .addOption {
          display: none;
          
          &.-active {
            display: flex;
          }

          & > .label {

            & > .desc {
              font-size: 12px;
              color: #333;
            }
          }
        }

        & > .btnstyle {
          display: none;
          
          &.-active {
            display: flex;
            justify-content: space-between;
            flex-wrap: wrap;
          }

          & > .label {
            &:first-child {
              width: 100%;

              & > .input {
                width: 100%;
              }
            }
          
            &:not(:first-child) {
              flex: 1;
              
            }

            & > .desc {
              display: block;
              font-size: 12px;
              color: #333;
            }
          }
        }
      }
    }
  }
}
